petsc-3.7.1 2016-05-15
Report Typos and Errors

# TAOIPM

Interior point algorithm for generally constrained optimization.

### Option Database Keys

| -tao_ipm_pushnu | - parameter to push initial dual variables away from bounds Many br
| -tao_ipm_pushs | - parameter to push initial slack variables away from bounds Many br

Notes: This algorithm is more of a place-holder for future constrained optimization algorithms and should not yet be used for large problems or production code. Many br Many br

Level:beginner
Location:src/tao/constrained/impls/ipm/ipm.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html